diff -Nru audit-2.2.1/debian/changelog audit-2.2.1/debian/changelog
--- audit-2.2.1/debian/changelog	2012-07-12 01:54:16.000000000 +0200
+++ audit-2.2.1/debian/changelog	2012-07-31 14:37:58.000000000 +0200
@@ -1,3 +1,10 @@
+audit (1:2.2.1-1.1) UNRELEASED; urgency=low
+
+  * Non-maintainer upload.
+  * split auparse into its own package and put config in examples directory.
+
+ -- Alban Browaeys <prahal@yahoo.com>  Tue, 31 Jul 2012 14:37:34 +0200
+
 audit (1:2.2.1-1) experimental; urgency=low
 
   * Non-maintainer upload (with maintainer's blessing)
diff -Nru audit-2.2.1/debian/control audit-2.2.1/debian/control
--- audit-2.2.1/debian/control	2012-07-12 01:53:38.000000000 +0200
+++ audit-2.2.1/debian/control	2012-07-26 15:07:45.000000000 +0200
@@ -26,6 +26,15 @@
  .
  Also contains the audit dispatcher "audisp".
 
+Package: libauparse0
+Architecture: any
+Priority: optional
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Dynamic library for parsing security auditing
+ The audit-libs parse package contains the dynamic libraries needed for
+ applications to use the audit framework. It is used to monitor systems for
+ security related events.
+
 Package: libaudit1
 Architecture: any
 Priority: optional
diff -Nru audit-2.2.1/debian/libaudit1.examples audit-2.2.1/debian/libaudit1.examples
--- audit-2.2.1/debian/libaudit1.examples	1970-01-01 01:00:00.000000000 +0100
+++ audit-2.2.1/debian/libaudit1.examples	2012-07-26 16:53:21.000000000 +0200
@@ -0,0 +1 @@
+debian/tmp/etc/libaudit.conf
diff -Nru audit-2.2.1/debian/libaudit1.install audit-2.2.1/debian/libaudit1.install
--- audit-2.2.1/debian/libaudit1.install	2011-07-26 18:34:26.000000000 +0200
+++ audit-2.2.1/debian/libaudit1.install	2012-07-26 16:40:41.000000000 +0200
@@ -1,3 +1 @@
 usr/lib/libaudit.so.*	lib
-usr/lib/libauparse.so.*	lib
-etc/libaudit.conf
diff -Nru audit-2.2.1/debian/libaudit1.symbols audit-2.2.1/debian/libaudit1.symbols
--- audit-2.2.1/debian/libaudit1.symbols	2012-07-12 01:28:54.000000000 +0200
+++ audit-2.2.1/debian/libaudit1.symbols	2012-07-26 18:01:49.000000000 +0200
@@ -73,45 +73,3 @@
  audit_value_needs_encoding@Base 1.7.13
  get_auditfail_action@Base 1.7.13
  set_aumessage_mode@Base 1.7.13
-libauparse.so.0 libaudit1 #MINVER#
- auparse_add_callback@Base 1.7.13
- auparse_destroy@Base 1.7.13
- auparse_feed@Base 1.7.13
- auparse_find_field@Base 1.7.13
- auparse_find_field_next@Base 1.7.13
- auparse_first_field@Base 1.7.13
- auparse_first_record@Base 1.7.13
- auparse_flush_feed@Base 1.7.13
- auparse_get_field_int@Base 1.7.13
- auparse_get_field_name@Base 1.7.13
- auparse_get_field_str@Base 1.7.13
- auparse_get_field_type@Base 1.7.13
- auparse_get_filename@Base 1.7.13
- auparse_get_line_number@Base 1.7.13
- auparse_get_milli@Base 1.7.13
- auparse_get_node@Base 1.7.13
- auparse_get_num_fields@Base 1.7.13
- auparse_get_num_records@Base 1.7.13
- auparse_get_record_text@Base 1.7.13
- auparse_get_serial@Base 1.7.13
- auparse_get_time@Base 1.7.13
- auparse_get_timestamp@Base 1.7.13
- auparse_get_type@Base 1.7.13
- auparse_goto_record_num@Base 1.7.13
- auparse_init@Base 1.7.13
- auparse_interpret_field@Base 1.7.13
- auparse_next_event@Base 1.7.13
- auparse_next_field@Base 1.7.13
- auparse_next_record@Base 1.7.13
- auparse_node_compare@Base 1.7.13
- auparse_reset@Base 1.7.13
- auparse_timestamp_compare@Base 1.7.13
- auparse_type_t@Base 1.7.13
- ausearch_add_expression@Base 1.7.13
- ausearch_add_interpreted_item@Base 1.7.13
- ausearch_add_item@Base 1.7.13
- ausearch_add_regex@Base 1.7.13
- ausearch_add_timestamp_item@Base 1.7.13
- ausearch_clear@Base 1.7.13
- ausearch_next_event@Base 1.7.13
- ausearch_set_stop@Base 1.7.13
diff -Nru audit-2.2.1/debian/libauparse0.install audit-2.2.1/debian/libauparse0.install
--- audit-2.2.1/debian/libauparse0.install	1970-01-01 01:00:00.000000000 +0100
+++ audit-2.2.1/debian/libauparse0.install	2012-07-26 16:35:37.000000000 +0200
@@ -0,0 +1 @@
+usr/lib/libauparse.so.* lib
diff -Nru audit-2.2.1/debian/libauparse0.symbols audit-2.2.1/debian/libauparse0.symbols
--- audit-2.2.1/debian/libauparse0.symbols	1970-01-01 01:00:00.000000000 +0100
+++ audit-2.2.1/debian/libauparse0.symbols	2012-07-26 16:57:04.000000000 +0200
@@ -0,0 +1,42 @@
+libauparse.so.0 libaudit1 #MINVER#
+ auparse_add_callback@Base 1.7.13
+ auparse_destroy@Base 1.7.13
+ auparse_feed@Base 1.7.13
+ auparse_find_field@Base 1.7.13
+ auparse_find_field_next@Base 1.7.13
+ auparse_first_field@Base 1.7.13
+ auparse_first_record@Base 1.7.13
+ auparse_flush_feed@Base 1.7.13
+ auparse_get_field_int@Base 1.7.13
+ auparse_get_field_name@Base 1.7.13
+ auparse_get_field_str@Base 1.7.13
+ auparse_get_field_type@Base 1.7.13
+ auparse_get_filename@Base 1.7.13
+ auparse_get_line_number@Base 1.7.13
+ auparse_get_milli@Base 1.7.13
+ auparse_get_node@Base 1.7.13
+ auparse_get_num_fields@Base 1.7.13
+ auparse_get_num_records@Base 1.7.13
+ auparse_get_record_text@Base 1.7.13
+ auparse_get_serial@Base 1.7.13
+ auparse_get_time@Base 1.7.13
+ auparse_get_timestamp@Base 1.7.13
+ auparse_get_type@Base 1.7.13
+ auparse_goto_record_num@Base 1.7.13
+ auparse_init@Base 1.7.13
+ auparse_interpret_field@Base 1.7.13
+ auparse_next_event@Base 1.7.13
+ auparse_next_field@Base 1.7.13
+ auparse_next_record@Base 1.7.13
+ auparse_node_compare@Base 1.7.13
+ auparse_reset@Base 1.7.13
+ auparse_timestamp_compare@Base 1.7.13
+ auparse_type_t@Base 1.7.13
+ ausearch_add_expression@Base 1.7.13
+ ausearch_add_interpreted_item@Base 1.7.13
+ ausearch_add_item@Base 1.7.13
+ ausearch_add_regex@Base 1.7.13
+ ausearch_add_timestamp_item@Base 1.7.13
+ ausearch_clear@Base 1.7.13
+ ausearch_next_event@Base 1.7.13
+ ausearch_set_stop@Base 1.7.13
diff -Nru audit-2.2.1/debian/rules audit-2.2.1/debian/rules
--- audit-2.2.1/debian/rules	2012-07-12 01:49:58.000000000 +0200
+++ audit-2.2.1/debian/rules	2012-07-26 16:54:29.000000000 +0200
@@ -98,7 +98,7 @@
 	chrpath -d debian/auditd/usr/bin/aulast
 	chrpath -d debian/auditd/usr/bin/aulastlog
 	chrpath -d debian/auditd/usr/bin/ausyscall
-	chrpath -d debian/libaudit1/lib/libauparse.so.0.0.0
+	chrpath -d debian/libauparse0/lib/libauparse.so.0.0.0
 	chrpath -d debian/python-audit/usr/lib/python*/*-packages/_audit.so
 	chrpath -d debian/python-audit/usr/lib/python*/*-packages/auparse.so
 	dh_makeshlibs
